Web Vitals

Get Web Vitals Trends

GET
/v0/project/{idOrSlug}/vitals/trends

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

from?string|null
to?string|null
bucketMs?string|null
device?string|null
browser?string|null
os?string|null
country?string|null
route?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/vitals/trends"
[
  {
    "bucketStart": "string",
    "metric": "string",
    "samples": 0,
    "p75": 0,
    "p90": 0,
    "p99": 0
  }
]
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}